const a=`
#ifdef GL_ES
  precision highp float;
#endif

varying vec2 vUv;
uniform vec3 uColor;
uniform float uLength;
uniform float uTimeCounter;
uniform sampler2D uTexture;

float calculateTimeControlOpacity(float timeCounter, vec2 vUv){
  float uvGap = uLength;
  float uvTail = timeCounter - uvGap;

  if((uvTail < vUv.x) && (vUv.x < timeCounter)) {
    float opacity = (1.0 - (timeCounter - vUv.x) / uvGap);
    opacity = pow(opacity, 1.8);
    return opacity;
  } else {
    return 0.0;
  }
}

void main() {
  float currentOpacity = calculateTimeControlOpacity(uTimeCounter, vUv);
  gl_FragColor = vec4(uColor, currentOpacity) * texture2D(uTexture, gl_PointCoord);
}
`;module.exports=a